Index: trunk/src/VBox/NetworkServices/DHCP/Makefile.kmk
===================================================================
--- trunk/src/VBox/NetworkServices/DHCP/Makefile.kmk	(revision 53825)
+++ trunk/src/VBox/NetworkServices/DHCP/Makefile.kmk	(revision 53826)
@@ -18,4 +18,6 @@
 SUB_DEPTH = ../../../..
 include $(KBUILD_PATH)/subheader.kmk
+
+VBOX_PATH_NET_DHCP_SRC := $(PATH_SUB_CURRENT)
 
 #
@@ -48,21 +50,23 @@
 	Config.cpp \
 	NetworkManagerDhcp.cpp \
-	../NetLib/VBoxNetIntIf.cpp \
-	../NetLib/VBoxNetUDP.cpp \
-	../NetLib/VBoxNetARP.cpp \
-	../NetLib/VBoxNetBaseService.cpp \
-	../NetLib/ComHostUtils.cpp
+	$(VBOX_PATH_NET_DHCP_SRC)/../NetLib/VBoxNetIntIf.cpp \
+	$(VBOX_PATH_NET_DHCP_SRC)/../NetLib/VBoxNetUDP.cpp \
+	$(VBOX_PATH_NET_DHCP_SRC)/../NetLib/VBoxNetARP.cpp \
+	$(VBOX_PATH_NET_DHCP_SRC)/../NetLib/VBoxNetBaseService.cpp \
+	$(VBOX_PATH_NET_DHCP_SRC)/../NetLib/ComHostUtils.cpp
 VBoxNetDHCP_LIBS = \
 	$(LIB_RUNTIME)
 VBoxNetDHCP_LDFLAGS.win = /SUBSYSTEM:windows
 
+ifeq ($(KBUILD_TARGET),win)
 # Icon include file.
-VBoxNetDHCP_SOURCES.win += $(VBoxNetDHCP_0_OUTDIR)/VBoxNetDHCP-icon.rc
-VBoxNetDHCP_CLEAN.win   += $(VBoxNetDHCP_0_OUTDIR)/VBoxNetDHCP-icon.rc
+VBoxNetDHCP_SOURCES     += VBoxNetDHCP.rc
+VBoxNetDHCP.rc_INCS      = $(VBoxNetDHCP_0_OUTDIR)
+VBoxNetDHCP.rc_DEPS      = $(VBoxNetDHCP_0_OUTDIR)/VBoxNetDHCP-icon.rc
+VBoxNetDHCP.rc_CLEAN     = $(VBoxNetDHCP_0_OUTDIR)/VBoxNetDHCP-icon.rc
 $$(VBoxNetDHCP_0_OUTDIR)/VBoxNetDHCP-icon.rc: $(VBOX_WINDOWS_ICON_FILE) $$(VBoxNetDHCP_DEFPATH)/Makefile.kmk | $$(dir $$@)
 	$(RM) -f $@
 	$(APPEND) $@ 'IDI_VIRTUALBOX ICON DISCARDABLE "$(subst /,\\,$(VBOX_WINDOWS_ICON_FILE))"'
-
-
+endif # win
 
 include $(FILE_KBUILD_SUB_FOOTER)
Index: trunk/src/VBox/NetworkServices/DHCP/VBoxNetDHCP.rc
===================================================================
--- trunk/src/VBox/NetworkServices/DHCP/VBoxNetDHCP.rc	(revision 53826)
+++ trunk/src/VBox/NetworkServices/DHCP/VBoxNetDHCP.rc	(revision 53826)
@@ -0,0 +1,54 @@
+/* $Id$ */
+/** @file
+ * VBoxNetDHCP - Resource file containing version info.
+ */
+
+/*
+ * Copyright (C) 2015 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+#include <windows.h>
+#include <VBox/version.h>
+
+LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
+
+VS_VERSION_INFO VERSIONINFO
+  FILEVERSION      VBOX_VERSION_MAJOR_NR,VBOX_VERSION_MINOR_NR,VBOX_VERSION_BUILD_NR,0
+  PRODUCTVERSION   VBOX_VERSION_MAJOR_NR,VBOX_VERSION_MINOR_NR,VBOX_VERSION_BUILD_NR,0
+  FILEFLAGSMASK    VS_FFI_FILEFLAGSMASK
+  FILEFLAGS        0x0L
+  FILEOS           VOS_NT_WINDOWS32
+  FILETYPE         VFT_DLL
+  FILESUBTYPE      VFT2_UNKNOWN
+BEGIN
+  BLOCK "StringFileInfo"
+  BEGIN
+    BLOCK "040904b0" // Lang=US English, CharSet=Unicode
+    BEGIN
+      VALUE "CompanyName",      VBOX_RC_COMPANY_NAME
+      VALUE "FileDescription",  "VirtualBox DHCP Server\0"
+      VALUE "FileVersion",      VBOX_VERSION_MAJOR "." VBOX_VERSION_MINOR "." VBOX_VERSION_BUILD "." VBOX_SVN_REV "\0"
+      VALUE "InternalName",     "VBoxNetDHCP\0"
+      VALUE "LegalCopyright",   VBOX_RC_LEGAL_COPYRIGHT
+      VALUE "OriginalFilename", "VBoxNetDHCP.dll\0"
+      VALUE "ProductName",      VBOX_PRODUCT "\0"
+      VALUE "ProductVersion",   VBOX_VERSION_MAJOR "." VBOX_VERSION_MINOR "." VBOX_VERSION_BUILD ".r" VBOX_SVN_REV "\0"
+    END
+  END
+  BLOCK "VarFileInfo"
+  BEGIN
+    VALUE "Translation", 0x409, 1200
+  END
+END
+
+/* Creates the application icon. */
+#include "VBoxNetDHCP-icon.rc"
+
Index: trunk/src/VBox/NetworkServices/NAT/Makefile.kmk
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/Makefile.kmk	(revision 53825)
+++ trunk/src/VBox/NetworkServices/NAT/Makefile.kmk	(revision 53826)
@@ -18,8 +18,10 @@
 include $(KBUILD_PATH)/subheader.kmk
 
+VBOX_PATH_NAT_SRC := $(PATH_SUB_CURRENT)
+
 ifdef VBOX_WITH_LWIP_NAT
 # XXX: do not depend on order
 ifndef LWIP_SOURCES
-  include ../../Devices/Network/lwip-new/Makefile.kmk
+  include $(PATH_SUB_CURRENT)/../../Devices/Network/lwip-new/Makefile.kmk
 endif
 
@@ -47,10 +49,10 @@
 VBoxNetLwipNAT_DEFS.win += VBOX_COM_OUTOFPROC_MODULE _WIN32_WINNT=0x501 # Windows XP
 VBoxNetLwipNAT_SOURCES += VBoxNetLwipNAT.cpp	\
-	../NetLib/VBoxNetBaseService.cpp \
-	../NetLib/VBoxNetPortForwardString.cpp \
-	../NetLib/VBoxNetIntIf.cpp \
-	../NetLib/VBoxNetUDP.cpp \
-	../NetLib/VBoxNetARP.cpp \
-	../NetLib/ComHostUtils.cpp
+	$(VBOX_PATH_NAT_SRC)/../NetLib/VBoxNetBaseService.cpp \
+	$(VBOX_PATH_NAT_SRC)/../NetLib/VBoxNetPortForwardString.cpp \
+	$(VBOX_PATH_NAT_SRC)/../NetLib/VBoxNetIntIf.cpp \
+	$(VBOX_PATH_NAT_SRC)/../NetLib/VBoxNetUDP.cpp \
+	$(VBOX_PATH_NAT_SRC)/../NetLib/VBoxNetARP.cpp \
+	$(VBOX_PATH_NAT_SRC)/../NetLib/ComHostUtils.cpp
 
 VBoxNetLwipNAT_LIBS = \
@@ -128,14 +130,17 @@
 VBoxNetLwipNAT_INCS += . # for lwipopts.h
 $(eval $(call def_vbox_lwip_public, \
-    VBoxNetLwipNAT, ../../Devices/Network/lwip-new))
+    VBoxNetLwipNAT, $(PATH_SUB_CURRENT)/../../Devices/Network/lwip-new))
 endif
 
+ifeq ($(KBUILD_TARGET),win)
 # Icon include file.
-VBoxNetLwipNAT_SOURCES.win += $(VBoxNetLwipNAT_0_OUTDIR)/VBoxNetLwipNAT-icon.rc
-VBoxNetLwipNAT_CLEAN.win   += $(VBoxNetLwipNAT_0_OUTDIR)/VBoxNetLwipNAT-icon.rc
+VBoxNetLwipNAT_SOURCES  += VBoxNetNAT.rc
+VBoxNetNAT.rc_INCS       = $(VBoxNetLwipNAT_0_OUTDIR))
+VBoxNetNAT.rc_SOURCES    = $(VBoxNetLwipNAT_0_OUTDIR)/VBoxNetLwipNAT-icon.rc
+VBoxNetNAT.rc_CLEAN      = $(VBoxNetLwipNAT_0_OUTDIR)/VBoxNetLwipNAT-icon.rc
 $$(VBoxNetLwipNAT_0_OUTDIR)/VBoxNetLwipNAT-icon.rc: $(VBOX_WINDOWS_ICON_FILE) $$(VBoxNetLwipNAT_DEFPATH)/Makefile.kmk | $$(dir $$@)
 	$(RM) -f $@
 	$(APPEND) $@ 'IDI_VIRTUALBOX ICON DISCARDABLE "$(subst /,\\,$(VBOX_WINDOWS_ICON_FILE))"'
-
+endif # win
 
 include $(FILE_KBUILD_SUB_FOOTER)
Index: trunk/src/VBox/NetworkServices/NAT/VBoxNetNAT.rc
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/VBoxNetNAT.rc	(revision 53826)
+++ trunk/src/VBox/NetworkServices/NAT/VBoxNetNAT.rc	(revision 53826)
@@ -0,0 +1,54 @@
+/* $Id$ */
+/** @file
+ * VBoxNetNAT - Resource file containing version info.
+ */
+
+/*
+ * Copyright (C) 2015 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+#include <windows.h>
+#include <VBox/version.h>
+
+LANGUAGE LANG_ENGLISH, SUBLANG_ENGLISH_US
+
+VS_VERSION_INFO VERSIONINFO
+  FILEVERSION      VBOX_VERSION_MAJOR_NR,VBOX_VERSION_MINOR_NR,VBOX_VERSION_BUILD_NR,0
+  PRODUCTVERSION   VBOX_VERSION_MAJOR_NR,VBOX_VERSION_MINOR_NR,VBOX_VERSION_BUILD_NR,0
+  FILEFLAGSMASK    VS_FFI_FILEFLAGSMASK
+  FILEFLAGS        0x0L
+  FILEOS           VOS_NT_WINDOWS32
+  FILETYPE         VFT_DLL
+  FILESUBTYPE      VFT2_UNKNOWN
+BEGIN
+  BLOCK "StringFileInfo"
+  BEGIN
+    BLOCK "040904b0" // Lang=US English, CharSet=Unicode
+    BEGIN
+      VALUE "CompanyName",      VBOX_RC_COMPANY_NAME
+      VALUE "FileDescription",  "VirtualBox NAT Engine\0"
+      VALUE "FileVersion",      VBOX_VERSION_MAJOR "." VBOX_VERSION_MINOR "." VBOX_VERSION_BUILD "." VBOX_SVN_REV "\0"
+      VALUE "InternalName",     "VBoxNetNAT\0"
+      VALUE "LegalCopyright",   VBOX_RC_LEGAL_COPYRIGHT
+      VALUE "OriginalFilename", "VBoxNetNAT.dll\0"
+      VALUE "ProductName",      VBOX_PRODUCT "\0"
+      VALUE "ProductVersion",   VBOX_VERSION_MAJOR "." VBOX_VERSION_MINOR "." VBOX_VERSION_BUILD ".r" VBOX_SVN_REV "\0"
+    END
+  END
+  BLOCK "VarFileInfo"
+  BEGIN
+    VALUE "Translation", 0x409, 1200
+  END
+END
+
+/* Creates the application icon. */
+#include "VBoxNetNAT-icon.rc"
+