Index: trunk/src/VBox/Main/Makefile.kmk
===================================================================
--- trunk/src/VBox/Main/Makefile.kmk	(revision 53874)
+++ trunk/src/VBox/Main/Makefile.kmk	(revision 53875)
@@ -1166,5 +1166,7 @@
 	$(call MSG_L1,Generating C++ Server API wrapper files from XIDL)
 	$(QUIET)$(RM) -f $(filter-out $(VBOX_MAIN_APIWRAPPER_GEN_FILES),$(wildcard $(VBoxAPIWrap_0_OUTDIR)/*.cpp) $(wildcard $(VBoxAPIWrap_0_OUTDIR)/*.h))
-	$(QUIET)$(VBOX_XSLTPROC) --stringparam filelistonly "" -o $@ $(VBoxAPIWrap_VBOX_XSLT) $<
+	$(QUIET)$(VBOX_XSLTPROC) --stringparam KBUILD_HOST $(KBUILD_HOST) \
+		--stringparam filelistonly "" \
+		-o $@ $(VBoxAPIWrap_VBOX_XSLT) $<
 	$(QUIET)$(VBOX_FILESPLIT) $@ $(VBoxAPIWrap_0_OUTDIR)
 
@@ -1173,5 +1175,7 @@
 	$(QUIET)$(RM) -f $@
 	$(QUIET)$(MKDIR) -p $(@D)
-	$(QUIET)$(VBOX_XSLTPROC) --stringparam filelistonly VBOX_MAIN_APIWRAPPER_GEN_FILES -o $@ $(VBoxAPIWrap_VBOX_XSLT) $<
+	$(QUIET)$(VBOX_XSLTPROC) --stringparam KBUILD_HOST $(KBUILD_HOST) \
+		--stringparam filelistonly VBOX_MAIN_APIWRAPPER_GEN_FILES \
+		-o $@ $(VBoxAPIWrap_VBOX_XSLT) $<
 	$(QUIET)$(APPEND) -n "$@" "" "" \
 		'VBOX_MAIN_APIWRAPPER_GEN_FILES := $$(addprefix $$(VBOX_MAIN_APIWRAPPER_DIR)/,$$(VBOX_MAIN_APIWRAPPER_GEN_FILES))' \
Index: trunk/src/VBox/Main/idl/apiwrap-server.xsl
===================================================================
--- trunk/src/VBox/Main/idl/apiwrap-server.xsl	(revision 53874)
+++ trunk/src/VBox/Main/idl/apiwrap-server.xsl	(revision 53875)
@@ -6,5 +6,5 @@
         VirtualBox.xidl.
 
-    Copyright (C) 2010-2014 Oracle Corporation
+    Copyright (C) 2010-2015 Oracle Corporation
 
     This file is part of VirtualBox Open Source Edition (OSE), as
@@ -35,4 +35,15 @@
 <xsl:variable name="G_root" select="/"/>
 
+<xsl:variable name="G_sNewLine">
+    <xsl:choose>
+        <xsl:when test="$KBUILD_HOST = 'win'">
+            <xsl:value-of select="'&#13;&#10;'"/>
+        </xsl:when>
+        <xsl:otherwise>
+            <xsl:value-of select="'&#10;'"/>
+        </xsl:otherwise>
+    </xsl:choose>
+</xsl:variable>
+
 <xsl:include href="typemap-shared.inc.xsl"/>
 
@@ -44,5 +55,5 @@
     <xsl:param name="file"/>
 
-    <xsl:value-of select="concat('&#9;', $file, ' \&#10;')"/>
+    <xsl:value-of select="concat('&#9;', $file, ' \', $G_sNewLine)"/>
 </xsl:template>
 
@@ -50,5 +61,5 @@
     <xsl:param name="file"/>
 
-    <xsl:value-of select="concat('&#10;// ##### BEGINFILE &quot;', $file, '&quot;&#10;')"/>
+    <xsl:value-of select="concat($G_sNewLine, '// ##### BEGINFILE &quot;', $file, '&quot;', $G_sNewLine)"/>
 </xsl:template>
 
@@ -56,5 +67,5 @@
     <xsl:param name="file"/>
 
-    <xsl:value-of select="concat('&#10;// ##### ENDFILE &quot;', $file, '&quot;&#10;')"/>
+    <xsl:value-of select="concat($G_sNewLine, '// ##### ENDFILE &quot;', $file, '&quot;', $G_sNewLine)"/>
 </xsl:template>
 
@@ -69,5 +80,4 @@
 
     <xsl:text>/** @file
- *
 </xsl:text>
     <xsl:value-of select="concat(' * VirtualBox API class wrapper ', $type, ' for I', $class, '.')"/>
@@ -80,5 +90,5 @@
 
 /**
- * Copyright (C) 2010-2014 Oracle Corporation
+ * Copyright (C) 2010-2015 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
@@ -97,5 +107,5 @@
     <xsl:param name="iface"/>
 
-    <xsl:value-of select="concat('        COM_INTERFACE_ENTRY(', $iface/@name, ')&#10;')"/>
+    <xsl:value-of select="concat('        COM_INTERFACE_ENTRY(', $iface/@name, ')' , $G_sNewLine)"/>
     <!-- now recurse to emit all base interfaces -->
     <xsl:variable name="extends" select="$iface/@extends"/>
@@ -109,5 +119,5 @@
 <xsl:template match="interface" mode="classheader">
     <xsl:param name="addinterfaces"/>
-    <xsl:value-of select="concat('#ifndef ', substring(@name, 2), 'Wrap_H_&#10;')"/>
+    <xsl:value-of select="concat('#ifndef ', substring(@name, 2), 'Wrap_H_', $G_sNewLine)"/>
     <xsl:value-of select="concat('#define ', substring(@name, 2), 'Wrap_H_')"/>
     <xsl:text>
@@ -125,5 +135,5 @@
         <xsl:text>,</xsl:text>
     </xsl:if>
-    <xsl:text>&#10;</xsl:text>
+    <xsl:value-of select="$G_sNewLine"/>
     <xsl:for-each select="exsl:node-set($addinterfaces)/token">
         <xsl:value-of select="concat('    VBOX_SCRIPTABLE_IMPL(', text(), ')')"/>
@@ -131,5 +141,5 @@
             <xsl:text>,</xsl:text>
         </xsl:if>
-        <xsl:text>&#10;</xsl:text>
+        <xsl:value-of select="$G_sNewLine"/>
     </xsl:for-each>
     <xsl:text>{
@@ -138,10 +148,10 @@
 public:
 </xsl:text>
-    <xsl:value-of select="concat('    VIRTUALBOXBASE_ADD_ERRORINFO_SUPPORT(', substring(@name, 2), 'Wrap, ', @name, ')&#10;')"/>
-    <xsl:value-of select="concat('    DECLARE_NOT_AGGREGATABLE(', substring(@name, 2), 'Wrap)&#10;')"/>
+    <xsl:value-of select="concat('    VIRTUALBOXBASE_ADD_ERRORINFO_SUPPORT(', substring(@name, 2), 'Wrap, ', @name, ')', $G_sNewLine)"/>
+    <xsl:value-of select="concat('    DECLARE_NOT_AGGREGATABLE(', substring(@name, 2), 'Wrap)', $G_sNewLine)"/>
     <xsl:text>    DECLARE_PROTECT_FINAL_CONSTRUCT()
 
 </xsl:text>
-    <xsl:value-of select="concat('    BEGIN_COM_MAP(', substring(@name, 2), 'Wrap)&#10;')"/>
+    <xsl:value-of select="concat('    BEGIN_COM_MAP(', substring(@name, 2), 'Wrap)', $G_sNewLine)"/>
     <xsl:text>        COM_INTERFACE_ENTRY(ISupportErrorInfo)
 </xsl:text>
@@ -149,5 +159,5 @@
         <xsl:with-param name="iface" select="."/>
     </xsl:call-template>
-    <xsl:value-of select="concat('        COM_INTERFACE_ENTRY2(IDispatch, ', @name, ')&#10;')"/>
+    <xsl:value-of select="concat('        COM_INTERFACE_ENTRY2(IDispatch, ', @name, ')', $G_sNewLine)"/>
     <xsl:variable name="manualAddInterfaces">
         <xsl:call-template name="checkoption">
@@ -174,5 +184,5 @@
 
 </xsl:text>
-    <xsl:value-of select="concat('    DECLARE_EMPTY_CTOR_DTOR(', substring(@name, 2), 'Wrap)&#10;')"/>
+    <xsl:value-of select="concat('    DECLARE_EMPTY_CTOR_DTOR(', substring(@name, 2), 'Wrap)', $G_sNewLine)"/>
 </xsl:template>
 
@@ -182,11 +192,11 @@
 
 </xsl:text>
-    <xsl:value-of select="concat('#endif // !', substring(@name, 2), 'Wrap_H_&#10;')"/>
+    <xsl:value-of select="concat('#endif // !', substring(@name, 2), 'Wrap_H_', $G_sNewLine)"/>
 </xsl:template>
 
 <xsl:template match="interface" mode="codeheader">
     <xsl:param name="addinterfaces"/>
-    <xsl:value-of select="concat('#define LOG_GROUP_MAIN_OVERRIDE LOG_GROUP_MAIN_', translate(substring(@name, 2), $G_lowerCase, $G_upperCase), '&#10;&#10;')"/>
-    <xsl:value-of select="concat('#include &quot;', substring(@name, 2), 'Wrap.h&quot;&#10;')"/>
+    <xsl:value-of select="concat('#define LOG_GROUP_MAIN_OVERRIDE LOG_GROUP_MAIN_', translate(substring(@name, 2), $G_lowerCase, $G_upperCase), $G_sNewLine, $G_sNewLine)"/>
+    <xsl:value-of select="concat('#include &quot;', substring(@name, 2), 'Wrap.h&quot;', $G_sNewLine)"/>
     <xsl:text>#include "Logging.h"
 #ifdef VBOX_WITH_DTRACE_R3_MAIN
@@ -234,5 +244,5 @@
                 </xsl:when>
                 <xsl:otherwise>
-                    <xsl:value-of select="concat('NS_IMPL_THREADSAFE_ISUPPORTS', $depth, '_CI(', $classname, ', ', $interfacelist, ')&#10;')"/>
+                    <xsl:value-of select="concat('NS_IMPL_THREADSAFE_ISUPPORTS', $depth, '_CI(', $classname, ', ', $interfacelist, ')', $G_sNewLine)"/>
                 </xsl:otherwise>
             </xsl:choose>
@@ -245,5 +255,5 @@
     <xsl:text>#ifdef VBOX_WITH_XPCOM
 </xsl:text>
-    <xsl:value-of select="concat('NS_DECL_CLASSINFO(', substring(@name, 2), 'Wrap)&#10;')"/>
+    <xsl:value-of select="concat('NS_DECL_CLASSINFO(', substring(@name, 2), 'Wrap)', $G_sNewLine)"/>
 
     <xsl:variable name="manualAddInterfaces">
@@ -1442,5 +1452,5 @@
         </xsl:when>
         <xsl:otherwise>
-            <xsl:value-of select="concat('&#10;    // ', $pmode, ' ', $iface/@name, ' properties&#10;')"/>
+            <xsl:value-of select="concat($G_sNewLine, '    // ', $pmode, ' ', $iface/@name, ' properties', $G_sNewLine)"/>
         </xsl:otherwise>
     </xsl:choose>
@@ -1986,5 +1996,5 @@
         </xsl:when>
         <xsl:otherwise>
-            <xsl:value-of select="concat('&#10;    // ', $pmode, ' ', $iface/@name, ' methods&#10;')"/>
+            <xsl:value-of select="concat($G_sNewLine, '    // ', $pmode, ' ', $iface/@name, ' methods', $G_sNewLine)"/>
         </xsl:otherwise>
     </xsl:choose>
@@ -2131,5 +2141,5 @@
     <xsl:param name="addinterfaces"/>
 
-    <xsl:value-of select="concat('DEFINE_EMPTY_CTOR_DTOR(', substring($iface/@name, 2), 'Wrap)&#10;&#10;')"/>
+    <xsl:value-of select="concat('DEFINE_EMPTY_CTOR_DTOR(', substring($iface/@name, 2), 'Wrap)', $G_sNewLine, $G_sNewLine)"/>
 
     <xsl:variable name="dtracetopclass">
@@ -2293,5 +2303,5 @@
         </xsl:when>
         <xsl:otherwise>
-            <xsl:value-of select="concat($filelistonly, ' := \&#10;')"/>
+            <xsl:value-of select="concat($filelistonly, ' := \', $G_sNewLine)"/>
         </xsl:otherwise>
     </xsl:choose>