Index: trunk/src/VBox/Additions/WINNT/Installer/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/Installer/Makefile.kmk	(revision 54084)
+++ trunk/src/VBox/Additions/WINNT/Installer/Makefile.kmk	(revision 54120)
@@ -170,14 +170,4 @@
  endif
 endif
-ifdef VBOX_WITH_MMR
-DRIVER_FILES += \
-	$(PATH_STAGE_BIN)/additions/VBoxMMR.exe \
-	$(PATH_STAGE_BIN)/additions/VBoxMMRHook.dll
-  ifeq ($(KBUILD_TARGET_ARCH),amd64)
-	DRIVER_FILES += \
-		$(PATH_STAGE_BIN)/additions/VBoxMMR-x86.exe \
-		$(PATH_STAGE_BIN)/additions/VBoxMMRHook-x86.dll
-  endif
-endif
 
 
@@ -205,5 +195,4 @@
 	-E 'VBOX_WITH_WDDM=$(if $(VBOX_WITH_WDDM),1,0)' \
 	-E 'VBOX_WITH_WDDM_W8=$(if $(VBOX_WITH_WDDM_W8),1,0)' \
-	-E 'VBOX_WITH_MMR=$(if $(VBOX_WITH_MMR),1,0)' \
 	-E 'VBOX_BRAND_WIN_ADD_INST_DLGBMP=$(subst /,\,$(VBOX_BRAND_WIN_ADD_INST_DLGBMP))' \
 	-E 'VBOX_BRAND_LICENSE_RTF=$(subst /,\,$(VBOX_BRAND_LICENSE_RTF))' \
Index: trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestAdditions.nsi
===================================================================
--- trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestAdditions.nsi	(revision 54084)
+++ trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestAdditions.nsi	(revision 54120)
@@ -235,5 +235,4 @@
 Var g_bNoMouseDrv                       ; Cmd line: Do not install the VBoxMouse driver
 Var g_bWithAutoLogon                    ; Cmd line: Install VBoxGINA / VBoxCredProv for auto logon support
-Var g_bWithVBoxMMR                      ; Cmd line: Install VBoxMMR for media redirection support
 Var g_bWithD3D                          ; Cmd line: Install Direct3D support
 Var g_bOnlyExtract                      ; Cmd line: Only extract all files, do *not* install them. Only valid with param "/D" (target directory)
@@ -382,10 +381,4 @@
         StrCpy $g_bWithAutoLogon "true"
         ${Break}
-
-!if $%VBOX_WITH_MMR% == "1"
-      ${Case} '/with_vboxmmr'
-        StrCpy $g_bWithVBoxMMR "true"
-        ${Break}
-!endif
 
 !if $%VBOX_WITH_CROGL% == "1"
@@ -445,5 +438,4 @@
                     /with_autologon$\tInstalls auto-logon support$\r$\n \
                     /with_d3d$\tInstalls D3D support$\r$\n \
-                    /with_vboxmmr$\tInstalls multimedia redirection (MMR) support$\r$\n \
                     /with_wddm$\tInstalls the WDDM instead of the XPDM graphics driver$\r$\n \
                     /xres=X$\t$\tSets the guest's display resolution (width in pixels)$\r$\n \
@@ -589,18 +581,4 @@
   ${Else}
     ${LogVerbose} "Auto-logon support was not installed previously"
-  ${EndIf}
-
-  ; Check for installed MMR support and enable updating
-  ; those modules if needed
-  ${If}    ${FileExists} "$g_strSystemDir\VBoxMMR.exe"
-!if $%BUILD_TARGET_ARCH% == "amd64"
-  ${AndIf} ${FileExists} "$g_strSysWow64\VBoxMMRHook.dll"
-!else
-  ${AndIf} ${FileExists} "$g_strSystemDir\VBoxMMRHook.dll"
-!endif
-    ${LogVerbose} "MultiMedia Redirection support (MMR) was installed previously"
-    StrCpy $g_bWithVBoxMMR "true" ; Force update
-  ${Else}
-    ${LogVerbose} "MultiMedia Redirection support (MMR) support was not installed previously"
   ${EndIf}
 
@@ -1106,5 +1084,4 @@
   StrCpy $g_bNoMouseDrv "false"
   StrCpy $g_bWithAutoLogon "false"
-  StrCpy $g_bWithVBoxMMR "false"
   StrCpy $g_bWithD3D "false"
   StrCpy $g_bOnlyExtract "false"
Index: trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestAdditionsVista.nsh
===================================================================
--- trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestAdditionsVista.nsh	(revision 54084)
+++ trunk/src/VBox/Additions/WINNT/Installer/VBoxGuestAdditionsVista.nsh	(revision 54120)
@@ -67,9 +67,5 @@
 Function Vista_Prepare
 
-  ${If} $g_bWithVBoxMMR == "true"
-     Call StopVBoxMMR
-  ${Else}
-     Call VBoxMMR_Uninstall
-  ${EndIf}
+  Call VBoxMMR_Uninstall
 
 FunctionEnd
@@ -86,16 +82,4 @@
   ;FILE "$%PATH_OUT%\bin\additions\VBoxNET.sys"
 
-!if $%VBOX_WITH_MMR% == "1"
-  ${If} $g_bWithVBoxMMR == "true"
-    !if $%BUILD_TARGET_ARCH% == "amd64"
-      FILE "$%PATH_OUT%\bin\additions\VBoxMMR-x86.exe"
-      FILE "$%PATH_OUT%\bin\additions\VBoxMMRHook-x86.dll"
-    !else
-      FILE "$%PATH_OUT%\bin\additions\VBoxMMR.exe"
-      FILE "$%PATH_OUT%\bin\additions\VBoxMMRHook.dll"
-    !endif
-  ${EndIf}
-!endif
-
 FunctionEnd
 
@@ -106,30 +90,4 @@
   SetOutPath "$INSTDIR"
   ; Nothing here yet
-
-!if $%VBOX_WITH_MMR% == "1"
-
-  ${If} $g_bWithVBoxMMR == "true"
-
-    !if $%BUILD_TARGET_ARCH% == "amd64"
-
-      !insertmacro ReplaceDLL "$%PATH_OUT%\bin\additions\VBoxMMR-x86.exe" "$g_strSystemDir\VBoxMMR.exe" "$INSTDIR"
-      !insertmacro ReplaceDLL "$%PATH_OUT%\bin\additions\VBoxMMRHook-x86.dll" "$g_strSysWow64\VBoxMMRHook.dll" "$INSTDIR"
-      AccessControl::GrantOnFile "$g_strSysWow64\VBoxMMRHook.dll" "(BU)" "GenericRead"
-
-    !else
-
-      !insertmacro ReplaceDLL "$%PATH_OUT%\bin\additions\VBoxMMR.exe" "$g_strSystemDir\VBoxMMR.exe" "$INSTDIR"
-      !insertmacro ReplaceDLL "$%PATH_OUT%\bin\additions\VBoxMMRHook.dll" "$g_strSystemDir\VBoxMMRHook.dll" "$INSTDIR"
-      AccessControl::GrantOnFile "$g_strSystemDir\VBoxMMRHook.dll" "(BU)" "GenericRead"
-
-    !endif
-
-    AccessControl::GrantOnFile "$g_strSystemDir\VBoxMMR.exe" "(BU)" "GenericRead"
-
-    WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Run" "VBoxMMR" '"$SYSDIR\VBoxMMR.exe"'
-
-  ${EndIf}
-
-!endif
 
   Goto done
@@ -184,5 +142,5 @@
 Function ${un}VBoxMMR_Uninstall
 
-  ; Remove VBoxMMR even if VBOX_WITH_MMR is not defined
+  ; Remove VBoxMMR always
 
   DetailPrint "Uninstalling VBoxMMR."
Index: trunk/src/VBox/Additions/WINNT/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/Makefile.kmk	(revision 54084)
+++ trunk/src/VBox/Additions/WINNT/Makefile.kmk	(revision 54120)
@@ -33,8 +33,4 @@
 endif
 
-ifdef VBOX_WITH_MMR
-include $(PATH_SUB_CURRENT)/VBoxMMR/Makefile.kmk
-endif
-
 include $(FILE_KBUILD_SUB_FOOTER)
 
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/Makefile.kmk	(revision 54084)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/Makefile.kmk	(revision 54120)
@@ -66,9 +66,4 @@
 	mpr.lib
 endif
-ifdef VBOX_WITH_MMR
- VBoxTray_DEFS     += VBOX_WITH_MMR
- VBoxTray_SOURCES  += \
-        VBoxMMR.cpp
-endif
 ifdef VBOX_WITH_WDDM
  VBoxTray_DEFS   += VBOX_WITH_WDDM
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxMMR.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxMMR.cpp	(revision 54084)
+++ 	(revision )
@@ -1,104 +1,0 @@
-/* $Id$ */
-/** @file
- * VBoxMMR - Multimedia Redirection
- */
-
-/*
- * Copyright (C) 2012-2014 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-#include "VBoxTray.h"
-#include "VBoxMMR.h"
-#include <iprt/ldr.h>
-
-#ifdef DEBUG
-# define LOG_ENABLED
-# define LOG_GROUP LOG_GROUP_DEFAULT
-#endif
-#include <VBox/log.h>
-
-
-
-struct VBOXMMRCONTEXT
-{
-    RTLDRMOD  hModHook;
-    HHOOK     hHook;
-};
-
-static VBOXMMRCONTEXT gCtx = {0};
-
-static const char *g_pszMMRDLL  = "VBoxMMRHook";
-static const char *g_pszMMRPROC = "CBTProc";
-
-void VBoxMMRCleanup(VBOXMMRCONTEXT *pCtx)
-{
-    if (pCtx->hHook)
-    {
-        UnhookWindowsHookEx(pCtx->hHook);
-        pCtx->hHook = NULL;
-    }
-
-    if (pCtx->hModHook != NIL_RTLDRMOD)
-    {
-        RTLdrClose(pCtx->hModHook);
-        pCtx->hModHook = NIL_RTLDRMOD;
-    }
-}
-
-int VBoxMMRInit(const VBOXSERVICEENV *pEnv, void **ppInstance, bool *pfStartThread)
-{
-    LogFlowFuncEnter();
-
-    int rc = RTLdrLoadAppPriv(g_pszMMRDLL, &gCtx.hModHook);
-    if (RT_SUCCESS(rc))
-    {
-        HOOKPROC pHook = (HOOKPROC)RTLdrGetFunction(gCtx.hModHook, g_pszMMRPROC);
-        if (pHook)
-        {
-            HMODULE hMod = (HMODULE)RTLdrGetNativeHandle(gCtx.hModHook);
-            Assert(hMod != (HMODULE)~(uintptr_t)0);
-            gCtx.hHook = SetWindowsHookEx(WH_CBT, pHook, hMod, 0);
-            if (gCtx.hHook)
-            {
-                *ppInstance = &gCtx;
-                return VINF_SUCCESS;
-            }
-
-            rc = RTErrConvertFromWin32(GetLastError());
-            LogFlowFunc(("Error installing hooking proc: %Rrc\n", rc));
-        }
-        else
-        {
-            LogFlowFunc(("Hooking proc not found\n"));
-            rc = VERR_NOT_FOUND;
-        }
-
-        RTLdrClose(gCtx.hModHook);
-        gCtx.hModHook = NIL_RTLDRMOD;
-    }
-    else
-        LogFlowFunc(("Hooking library not found (%Rrc)\n", rc));
-
-    return rc;
-}
-
-void VBoxMMRDestroy(const VBOXSERVICEENV *pEnv, void *pInstance)
-{
-    VBOXMMRCONTEXT *pCtx = (VBOXMMRCONTEXT *) pInstance;
-
-    VBoxMMRCleanup(pCtx);
-}
-
-unsigned __stdcall VBoxMMRThread(void *pInstance)
-{
-    return 0;
-}
-
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxMMR.h
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxMMR.h	(revision 54084)
+++ 	(revision )
@@ -1,33 +1,0 @@
-/* $Id$ */
-/** @file
- * VBoxMMR - Multimedia Redirection
- */
-
-/*
- * Copyright (C) 2012 Oracle Corporation
- *
- * This file is part of VirtualBox Open Source Edition (OSE), as
- * available from http://www.virtualbox.org. This file is free software;
- * you can redistribute it and/or modify it under the terms of the GNU
- * General Public License (GPL) as published by the Free Software
- * Foundation, in version 2 as it comes in the "COPYING" file of the
- * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
- * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
- */
-
-#ifndef __VBOXSERVICEMMR__H
-#define __VBOXSERVICEMMR__H
-
-int VBoxMMRInit(
-    const VBOXSERVICEENV *pEnv,
-    void **ppInstance,
-    bool *pfStartThread);
-
-unsigned __stdcall VBoxMMRThread(
-    void *pInstance);
-
-void VBoxMMRDestroy(
-    const VBOXSERVICEENV *pEnv,
-    void *pInstance);
-
-#endif /* __VBOXSERVICEMMR__H */
Index: trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.cpp
===================================================================
--- trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.cpp	(revision 54084)
+++ trunk/src/VBox/Additions/WINNT/VBoxTray/VBoxTray.cpp	(revision 54120)
@@ -37,5 +37,4 @@
 #include "VBoxIPC.h"
 #include "VBoxLA.h"
-#include "VBoxMMR.h"
 #include <VBoxHook.h>
 #include "resource.h"
@@ -197,13 +196,4 @@
         VBoxLADestroy
     },
-#ifdef VBOX_WITH_MMR
-    {
-        "Multimedia Redirection",
-        VBoxMMRInit,
-        VBoxMMRThread,
-        NULL /* pfnStop */,
-        VBoxMMRDestroy
-    },
-#endif
 #ifdef VBOX_WITH_DRAG_AND_DROP
     {
Index: trunk/src/VBox/Additions/common/VBoxService/Makefile.kmk
===================================================================
--- trunk/src/VBox/Additions/common/VBoxService/Makefile.kmk	(revision 54084)
+++ trunk/src/VBox/Additions/common/VBoxService/Makefile.kmk	(revision 54120)
@@ -53,7 +53,4 @@
 if1of ($(KBUILD_TARGET), win)
  VBoxService_DEFS        += VBOXSERVICE_PAGE_SHARING
- ifdef VBOX_WITH_MMR
-  VBoxService_DEFS       += VBOX_WITH_MMR
- endif
 endif
 if1of ($(KBUILD_TARGET), linux)
Index: trunk/src/VBox/Additions/common/VBoxService/VBoxServiceVMInfo-win.cpp
===================================================================
--- trunk/src/VBox/Additions/common/VBoxService/VBoxServiceVMInfo-win.cpp	(revision 54084)
+++ trunk/src/VBox/Additions/common/VBoxService/VBoxServiceVMInfo-win.cpp	(revision 54120)
@@ -1268,14 +1268,8 @@
         { szSysDir, "VBoxGINA.dll" },
         { szSysDir, "VBoxCredProv.dll" },
-# ifdef VBOX_WITH_MMR
-        { szSysDir, "VBoxMMR.exe" },
-# endif /* VBOX_WITH_MMR */
 
  /* On 64-bit we don't yet have the OpenGL DLLs in native format.
     So just enumerate the 32-bit files in the SYSWOW directory. */
 # ifdef RT_ARCH_AMD64
-#  ifdef VBOX_WITH_MMR
-        { szSysWowDir, "VBoxMMRHook.dll" },
-#  endif /* VBOX_WITH_MMR */
         { szSysWowDir, "VBoxOGLarrayspu.dll" },
         { szSysWowDir, "VBoxOGLcrutil.dll" },
@@ -1286,7 +1280,4 @@
         { szSysWowDir, "VBoxOGL.dll" },
 # else  /* !RT_ARCH_AMD64 */
-#  ifdef VBOX_WITH_MMR
-        { szSysDir, "VBoxMMRHook.dll" },
-#  endif /* VBOX_WITH_MMR */
         { szSysDir, "VBoxOGLarrayspu.dll" },
         { szSysDir, "VBoxOGLcrutil.dll" },