Index: trunk/src/VBox/NetworkServices/NAT/RTWinPoll.cpp
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/RTWinPoll.cpp	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/RTWinPoll.cpp	(revision 54124)
@@ -1,3 +1,18 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - poll(2) implementation for winsock.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/RTWinSocketPair.cpp
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/RTWinSocketPair.cpp	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/RTWinSocketPair.cpp	(revision 54124)
@@ -1,2 +1,19 @@
+/* $Id$ */
+/** @file
+ * NAT Network - socketpair(2) emulation for winsock.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #include <iprt/asm.h>
 #include <iprt/assert.h>
Index: trunk/src/VBox/NetworkServices/NAT/dhcp6.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/dhcp6.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/dhcp6.h	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - DHCPv6 protocol definitions.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _DHCP6_H_
 #define _DHCP6_H_
Index: trunk/src/VBox/NetworkServices/NAT/fwtcp.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/fwtcp.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/fwtcp.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - TCP port-forwarding.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/fwudp.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/fwudp.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/fwudp.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - UDP port-forwarding.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/lwipopts.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/lwipopts.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/lwipopts.h	(revision 54124)
@@ -1,2 +1,19 @@
+/* $Id$ */
+/** @file
+ * NAT Network - lwIP configuration options.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _VBOX_NETNAT_LWIP_OPTS_H_
 #define _VBOX_NETNAT_LWIP_OPTS_H_
Index: trunk/src/VBox/NetworkServices/NAT/portfwd.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/portfwd.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/portfwd.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - port-forwarding rules.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/portfwd.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/portfwd.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/portfwd.h	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - port-forwarding rules, definitions and declarations.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _portfwd_h_
 #define _portfwd_h_
Index: trunk/src/VBox/NetworkServices/NAT/proxy.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/proxy.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/proxy.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - proxy setup and utilities.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/proxy.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/proxy.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/proxy.h	(revision 54124)
@@ -1,2 +1,19 @@
+/* $Id$ */
+/** @file
+ * NAT Network - common definitions and declarations.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _nat_proxy_h_
 #define _nat_proxy_h_
Index: trunk/src/VBox/NetworkServices/NAT/proxy_dhcp6ds.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/proxy_dhcp6ds.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/proxy_dhcp6ds.c	(revision 54124)
@@ -1,6 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
-/**
- * Simple stateless DHCPv6 (RFC 3736) server.
+/* $Id$ */
+/** @file
+ * NAT Network - Simple stateless DHCPv6 (RFC 3736) server.
  */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - poll manager.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/proxy_pollmgr.h	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - poll manager, definitions and declarations.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _PROXY_POLLMGR_H_
 #define _PROXY_POLLMGR_H_
Index: trunk/src/VBox/NetworkServices/NAT/proxy_rtadvd.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/proxy_rtadvd.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/proxy_rtadvd.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - IPv6 router advertisement daemon. 
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/proxy_tftpd.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/proxy_tftpd.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/proxy_tftpd.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - TFTP server.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/pxdns.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxdns.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxdns.c	(revision 54124)
@@ -1,6 +1,9 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - DNS proxy.
+ */
 
 /*
- * Copyright (C) 2009-2013 Oracle Corporation
+ * Copyright (C) 2009-2014 Oracle Corporation
  *
  * This file is part of VirtualBox Open Source Edition (OSE), as
Index: trunk/src/VBox/NetworkServices/NAT/pxping.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxping.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxping.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - ping proxy, raw sockets version.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/pxping_win.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxping_win.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxping_win.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - ping proxy, Windows ICMP API version.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/pxremap.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxremap.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxremap.c	(revision 54124)
@@ -1,4 +1,20 @@
-/** -*- indent-tabs-mode: nil; -*-
- *
+/* $Id$ */
+/** @file
+ * NAT Network - Loopback remapping.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+/*
  * This file contains functions pertinent to magic address remapping.
  *
Index: trunk/src/VBox/NetworkServices/NAT/pxremap.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxremap.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxremap.h	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - Loopback remapping, declarations and definitions.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _pxremap_h_
 #define _pxremap_h_
Index: trunk/src/VBox/NetworkServices/NAT/pxtcp.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxtcp.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxtcp.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - TCP proxy.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/pxtcp.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxtcp.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxtcp.h	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - TCP proxy, internal interface declarations.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _pxtcp_h_
 #define _pxtcp_h_
Index: trunk/src/VBox/NetworkServices/NAT/pxudp.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/pxudp.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/pxudp.c	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - UDP proxy.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/rtmon_bsd.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/rtmon_bsd.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/rtmon_bsd.c	(revision 54124)
@@ -1,3 +1,20 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - IPv6 default route monitor for BSD routing sockets.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/rtmon_linux.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/rtmon_linux.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/rtmon_linux.c	(revision 54124)
@@ -1,3 +1,20 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - IPv6 default route monitor for Linux netlink.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
+
 #define LOG_GROUP LOG_GROUP_NAT_SERVICE
 
Index: trunk/src/VBox/NetworkServices/NAT/rtmon_win.c
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/rtmon_win.c	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/rtmon_win.c	(revision 54124)
@@ -1,2 +1,19 @@
+/* $Id$ */
+/** @file
+ * NAT Network - IPv6 default route monitor for Windows.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 int
 rtmon_get_defaults(void) {
Index: trunk/src/VBox/NetworkServices/NAT/tftp.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/tftp.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/tftp.h	(revision 54124)
@@ -1,3 +1,19 @@
-/* -*- indent-tabs-mode: nil; -*- */
+/* $Id$ */
+/** @file
+ * NAT Network - Definitions for TFTP protocol.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _TFTP_H_
 #define _TFTP_H_
Index: trunk/src/VBox/NetworkServices/NAT/winpoll.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/winpoll.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/winpoll.h	(revision 54124)
@@ -1,2 +1,19 @@
+/* $Id$ */
+/** @file
+ * NAT Network - poll(2) for winsock, definitions and declarations.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef _WINPOLL_H_
 #define _WINPOLL_H_
Index: trunk/src/VBox/NetworkServices/NAT/winutils.h
===================================================================
--- trunk/src/VBox/NetworkServices/NAT/winutils.h	(revision 53855)
+++ trunk/src/VBox/NetworkServices/NAT/winutils.h	(revision 54124)
@@ -1,2 +1,19 @@
+/* $Id$ */
+/** @file
+ * NAT Network - winsock compatibility shim.
+ */
+
+/*
+ * Copyright (C) 2013-2014 Oracle Corporation
+ *
+ * This file is part of VirtualBox Open Source Edition (OSE), as
+ * available from http://www.virtualbox.org. This file is free software;
+ * you can redistribute it and/or modify it under the terms of the GNU
+ * General Public License (GPL) as published by the Free Software
+ * Foundation, in version 2 as it comes in the "COPYING" file of the
+ * VirtualBox OSE distribution. VirtualBox OSE is distributed in the
+ * hope that it will be useful, but WITHOUT ANY WARRANTY of any kind.
+ */
+
 #ifndef __WINUTILS_H_
 # define __WINUTILS_H_