Index: /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendGlobal.cpp	(revision 54228)
@@ -830,4 +830,5 @@
         case DetailsElementType_USB:         strResult = QApplication::translate("VBoxGlobal", "USB", "DetailsElementType"); break;
         case DetailsElementType_SF:          strResult = QApplication::translate("VBoxGlobal", "Shared folders", "DetailsElementType"); break;
+        case DetailsElementType_UI:          strResult = QApplication::translate("VBoxGlobal", "User interface", "DetailsElementType"); break;
         case DetailsElementType_Description: strResult = QApplication::translate("VBoxGlobal", "Description", "DetailsElementType"); break;
         default:
@@ -859,4 +860,5 @@
     keys << QApplication::translate("VBoxGlobal", "USB", "DetailsElementType");            values << DetailsElementType_USB;
     keys << QApplication::translate("VBoxGlobal", "Shared folders", "DetailsElementType"); values << DetailsElementType_SF;
+    keys << QApplication::translate("VBoxGlobal", "User interface", "DetailsElementType"); values << DetailsElementType_UI;
     keys << QApplication::translate("VBoxGlobal", "Description", "DetailsElementType");    values << DetailsElementType_Description;
     /* Invalid type for unknown words: */
@@ -886,4 +888,5 @@
         case DetailsElementType_USB:         strResult = "usb"; break;
         case DetailsElementType_SF:          strResult = "sharedFolders"; break;
+        case DetailsElementType_UI:          strResult = "userInterface"; break;
         case DetailsElementType_Description: strResult = "description"; break;
         default:
@@ -915,4 +918,5 @@
     keys << "usb";           values << DetailsElementType_USB;
     keys << "sharedFolders"; values << DetailsElementType_SF;
+    keys << "userInterface"; values << DetailsElementType_UI;
     keys << "description";   values << DetailsElementType_Description;
     /* Invalid type for unknown words: */
Index: /trunk/src/VBox/Frontends/VirtualBox/src/extradata/UIExtraDataDefs.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/extradata/UIExtraDataDefs.h	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/extradata/UIExtraDataDefs.h	(revision 54228)
@@ -524,4 +524,5 @@
     DetailsElementType_USB,
     DetailsElementType_SF,
+    DetailsElementType_UI,
     DetailsElementType_Description
 };
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElement.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElement.cpp	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElement.cpp	(revision 54228)
@@ -609,5 +609,5 @@
     QString strCategory;
     if (m_type >= DetailsElementType_General &&
-        m_type <= DetailsElementType_SF)
+        m_type < DetailsElementType_Description)
         strCategory = QString("#%1").arg(gpConverter->toInternalString(m_type));
     else if (m_type == DetailsElementType_Description)
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.cpp	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.cpp	(revision 54228)
@@ -1039,4 +1039,120 @@
 
 
+UIGDetailsUpdateThreadUI::UIGDetailsUpdateThreadUI(const CMachine &machine)
+    : UIGDetailsUpdateThread(machine)
+{
+}
+
+void UIGDetailsUpdateThreadUI::run()
+{
+    COMBase::InitializeCOM(false);
+
+    if (!machine().isNull())
+    {
+        /* Prepare table: */
+        UITextTable m_text;
+
+        /* Gather information: */
+        if (machine().GetAccessible())
+        {
+            /* Damn GetExtraData should be const already :( */
+            CMachine localMachine = machine();
+
+            /* Get scale-factor value: */
+            const QString strScaleFactor = localMachine.GetExtraData(UIExtraDataDefs::GUI_ScaleFactor);
+            {
+                /* Try to convert loaded data to double: */
+                bool fOk = false;
+                double dValue = strScaleFactor.toDouble(&fOk);
+                /* Invent the default value: */
+                if (!fOk || !dValue)
+                    dValue = 1.0;
+                /* Append information: */
+                m_text << UITextTableLine(QApplication::translate("UIGDetails", "Scale-factor", "details (user interface)"), QString::number(dValue, 'f', 2));
+            }
+
+#ifdef Q_WS_MAC
+            /* Get 'Unscaled HiDPI Video Output' mode value: */
+            const QString strUnscaledHiDPIMode = localMachine.GetExtraData(UIExtraDataDefs::GUI_HiDPI_UnscaledOutput);
+            {
+                /* Try to convert loaded data to bool: */
+                const bool fEnabled  = strUnscaledHiDPIMode.compare("true", Qt::CaseInsensitive) == 0 ||
+                                       strUnscaledHiDPIMode.compare("yes", Qt::CaseInsensitive) == 0 ||
+                                       strUnscaledHiDPIMode.compare("on", Qt::CaseInsensitive) == 0 ||
+                                       strUnscaledHiDPIMode == "1";
+                /* Append information: */
+                if (fEnabled)
+                    m_text << UITextTableLine(QApplication::translate("UIGDetails", "Unscaled HiDPI Video Output", "details (user interface)"),
+                                              QApplication::translate("UIGDetails", "Enabled", "details (user interface/Unscaled HiDPI Video Output)"));
+            }
+#endif /* Q_WS_MAC */
+
+            /* Get mini-toolbar availability status: */
+            const QString strMiniToolbarEnabled = localMachine.GetExtraData(UIExtraDataDefs::GUI_ShowMiniToolBar);
+            {
+                /* Try to convert loaded data to bool: */
+                const bool fEnabled = !(strMiniToolbarEnabled.compare("false", Qt::CaseInsensitive) == 0 ||
+                                        strMiniToolbarEnabled.compare("no", Qt::CaseInsensitive) == 0 ||
+                                        strMiniToolbarEnabled.compare("off", Qt::CaseInsensitive) == 0 ||
+                                        strMiniToolbarEnabled == "0");
+                /* Append information: */
+                if (fEnabled)
+                {
+                    /* Get mini-toolbar position: */
+                    const QString &strMiniToolbarPosition = localMachine.GetExtraData(UIExtraDataDefs::GUI_MiniToolBarAlignment);
+                    {
+                        /* Try to convert loaded data to alignment: */
+                        switch (gpConverter->fromInternalString<MiniToolbarAlignment>(strMiniToolbarPosition))
+                        {
+                            /* Append information: */
+                            case MiniToolbarAlignment_Top:
+                                m_text << UITextTableLine(QApplication::translate("UIGDetails", "Mini-toolbar Position", "details (user interface)"),
+                                                          QApplication::translate("UIGDetails", "Top", "details (user interface/mini-toolbar position)"));
+                                break;
+                            /* Append information: */
+                            case MiniToolbarAlignment_Bottom:
+                                m_text << UITextTableLine(QApplication::translate("UIGDetails", "Mini-toolbar Position", "details (user interface)"),
+                                                          QApplication::translate("UIGDetails", "Bottom", "details (user interface/mini-toolbar position)"));
+                                break;
+                        }
+                    }
+                }
+                /* Append information: */
+                else
+                    m_text << UITextTableLine(QApplication::translate("UIGDetails", "Mini-toolbar", "details (user interface)"),
+                                              QApplication::translate("UIGDetails", "Disabled", "details (user interface/mini-toolbar)"));
+            }
+        }
+        else
+            m_text << UITextTableLine(QApplication::translate("UIGDetails", "Information Inaccessible", "details"), QString());
+
+        /* Send information into GUI thread: */
+        emit sigComplete(m_text);
+    }
+
+    COMBase::CleanupCOM();
+}
+
+UIGDetailsElementUI::UIGDetailsElementUI(UIGDetailsSet *pParent, bool fOpened)
+    : UIGDetailsElementInterface(pParent, DetailsElementType_UI, fOpened)
+{
+    /* Icon: */
+    setIcon(UIIconPool::iconSet(":/interface_16px.png"));
+
+    /* Translate: */
+    retranslateUi();
+}
+
+void UIGDetailsElementUI::retranslateUi()
+{
+    setName(gpConverter->toString(DetailsElementType_UI));
+}
+
+UIGDetailsUpdateThread* UIGDetailsElementUI::createUpdateThread()
+{
+    return new UIGDetailsUpdateThreadUI(machine());
+}
+
+
 UIGDetailsUpdateThreadDescription::UIGDetailsUpdateThreadDescription(const CMachine &machine)
     : UIGDetailsUpdateThread(machine)
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.h	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.h	(revision 54228)
@@ -485,4 +485,40 @@
 
 
+/* Thread 'UI': */
+class UIGDetailsUpdateThreadUI : public UIGDetailsUpdateThread
+{
+    Q_OBJECT;
+
+public:
+
+    /* Constructor: */
+    UIGDetailsUpdateThreadUI(const CMachine &machine);
+
+private:
+
+    /* Helpers: Prepare stuff: */
+    void run();
+};
+
+/* Element 'UI': */
+class UIGDetailsElementUI : public UIGDetailsElementInterface
+{
+    Q_OBJECT;
+
+public:
+
+    /* Constructor: */
+    UIGDetailsElementUI(UIGDetailsSet *pParent, bool fOpened);
+
+private:
+
+    /* Helper: Translate stuff: */
+    void retranslateUi();
+
+    /* Helper: Update stuff: */
+    UIGDetailsUpdateThread* createUpdateThread();
+};
+
+
 /* Thread 'Description': */
 class UIGDetailsUpdateThreadDescription : public UIGDetailsUpdateThread
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsSet.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsSet.cpp	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsSet.cpp	(revision 54228)
@@ -384,4 +384,5 @@
             case DetailsElementType_USB:
             case DetailsElementType_SF:
+            case DetailsElementType_UI:
             case DetailsElementType_Description:
             {
@@ -443,4 +444,5 @@
             case DetailsElementType_USB:
             case DetailsElementType_SF:
+            case DetailsElementType_UI:
             case DetailsElementType_Description:
             {
@@ -497,4 +499,5 @@
             case DetailsElementType_USB:
             case DetailsElementType_SF:
+            case DetailsElementType_UI:
             case DetailsElementType_Description:
             {
@@ -585,4 +588,5 @@
         case DetailsElementType_USB:         return new UIGDetailsElementUSB(this, fOpen);
         case DetailsElementType_SF:          return new UIGDetailsElementSF(this, fOpen);
+        case DetailsElementType_UI:          return new UIGDetailsElementUI(this, fOpen);
         case DetailsElementType_Description: return new UIGDetailsElementDescription(this, fOpen);
     }
Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/UISettingsDialogSpecific.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/UISettingsDialogSpecific.cpp	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/UISettingsDialogSpecific.cpp	(revision 54228)
@@ -708,5 +708,5 @@
                     pSettingsPage = new UIMachineSettingsInterface(m_machine.GetId());
                     addItem(":/interface_32px.png", ":/interface_24px.png", ":/interface_16px.png",
-                            iPageIndex, "#interface", pSettingsPage);
+                            iPageIndex, "#userInterface", pSettingsPage);
                     break;
                 }
@@ -934,5 +934,5 @@
 
     /* Interface page: */
-    m_pSelector->setItemText(MachineSettingsPageType_Interface, tr("Interface"));
+    m_pSelector->setItemText(MachineSettingsPageType_Interface, tr("User Interface"));
 
     /* Polish the selector: */
Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/machine/UIMachineSettingsInterface.h
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/machine/UIMachineSettingsInterface.h	(revision 54227)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/machine/UIMachineSettingsInterface.h	(revision 54228)
@@ -25,5 +25,5 @@
 class UIActionPool;
 
-/* Machine settings / Interface page / Data: */
+/* Machine settings / User Interface page / Data: */
 struct UIDataSettingsMachineInterface
 {
@@ -63,5 +63,5 @@
 typedef UISettingsCache<UIDataSettingsMachineInterface> UICacheSettingsMachineInterface;
 
-/* Machine settings / Interface page: */
+/* Machine settings / User Interface page: */
 class UIMachineSettingsInterface : public UISettingsPageMachine,
                                    public Ui::UIMachineSettingsInterface