Index: /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendCOM.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendCOM.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/converter/UIConverterBackendCOM.cpp	(revision 54285)
@@ -200,5 +200,5 @@
         case KDeviceType_Null:         return QApplication::translate("VBoxGlobal", "None", "DeviceType");
         case KDeviceType_Floppy:       return QApplication::translate("VBoxGlobal", "Floppy", "DeviceType");
-        case KDeviceType_DVD:          return QApplication::translate("VBoxGlobal", "CD/DVD", "DeviceType");
+        case KDeviceType_DVD:          return QApplication::translate("VBoxGlobal", "Optical", "DeviceType");
         case KDeviceType_HardDisk:     return QApplication::translate("VBoxGlobal", "Hard Disk", "DeviceType");
         case KDeviceType_Network:      return QApplication::translate("VBoxGlobal", "Network", "DeviceType");
Index: /trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/globals/UIMessageCenter.cpp	(revision 54285)
@@ -673,5 +673,5 @@
 {
     return questionBinary(0, MessageType_Warning,
-                          tr("<p>One or more virtual hard disks, CD/DVD or "
+                          tr("<p>One or more virtual hard disks, optical or "
                              "floppy disk image files are not currently accessible. As a result, you will "
                              "not be able to operate virtual machines that use these files until "
@@ -1043,6 +1043,6 @@
 {
     return questionTrinary(pParent, MessageType_Question,
-                           tr("<p>You are about to add a new CD/DVD drive to controller <b>%1</b>.</p>"
-                              "<p>Would you like to choose a virtual CD/DVD disk to put in the drive "
+                           tr("<p>You are about to add a new optical drive to controller <b>%1</b>.</p>"
+                              "<p>Would you like to choose a virtual optical disk to put in the drive "
                               "or to leave it empty for now?</p>")
                               .arg(strControllerName),
@@ -1065,6 +1065,6 @@
 {
     return questionBinary(pParent, MessageType_Info,
-                          tr("<p>Are you sure you want to delete the CD/DVD device?</p>"
-                             "<p>You will not be able to insert any CDs or ISO images "
+                          tr("<p>Are you sure you want to delete the optical drive?</p>"
+                             "<p>You will not be able to insert any optical disks or ISO images "
                              "or install the Guest Additions without it!</p>"),
                           0 /* auto-confirm id */,
@@ -1087,5 +1087,5 @@
         case UIMediumType_DVD:
         {
-            strMessage = tr("Failed to attach the CD/DVD device (<nobr><b>%1</b></nobr>) to the slot <i>%2</i> of the machine <b>%3</b>.")
+            strMessage = tr("Failed to attach the optical drive (<nobr><b>%1</b></nobr>) to the slot <i>%2</i> of the machine <b>%3</b>.")
                             .arg(strLocation).arg(gpConverter->toString(storageSlot)).arg(CMachine(machine).GetName());
             break;
@@ -1093,5 +1093,5 @@
         case UIMediumType_Floppy:
         {
-            strMessage = tr("Failed to attach the floppy device (<nobr><b>%1</b></nobr>) to the slot <i>%2</i> of the machine <b>%3</b>.")
+            strMessage = tr("Failed to attach the floppy drive (<nobr><b>%1</b></nobr>) to the slot <i>%2</i> of the machine <b>%3</b>.")
                             .arg(strLocation).arg(gpConverter->toString(storageSlot)).arg(CMachine(machine).GetName());
             break;
@@ -1334,5 +1334,5 @@
         case UIMediumType_DVD:
         {
-            strMessage = tr("Failed to detach the CD/DVD device (<nobr><b>%1</b></nobr>) from the slot <i>%2</i> of the machine <b>%3</b>.")
+            strMessage = tr("Failed to detach the optical drive (<nobr><b>%1</b></nobr>) from the slot <i>%2</i> of the machine <b>%3</b>.")
                             .arg(strLocation, gpConverter->toString(storageSlot), CMachine(machine).GetName());
             break;
@@ -1340,5 +1340,5 @@
         case UIMediumType_Floppy:
         {
-            strMessage = tr("Failed to detach the floppy device (<nobr><b>%1</b></nobr>) from the slot <i>%2</i> of the machine <b>%3</b>.")
+            strMessage = tr("Failed to detach the floppy drive (<nobr><b>%1</b></nobr>) from the slot <i>%2</i> of the machine <b>%3</b>.")
                             .arg(strLocation, gpConverter->toString(storageSlot), CMachine(machine).GetName());
             break;
@@ -2042,5 +2042,5 @@
     alert(0, MessageType_Error,
           tr("<p>Could not insert the <b>VirtualBox Guest Additions</b> disk image file into the virtual machine <b>%1</b>, "
-             "as the machine has no CD/DVD drives. Please add a drive using the storage page of the "
+             "as the machine has no optical drives. Please add a drive using the storage page of the "
              "virtual machine settings window.</p>")
              .arg(strMachineName));
@@ -2113,5 +2113,5 @@
                              "from <nobr><a href=\"%1\">%1</a></nobr> "
                              "and saved locally as <nobr><b>%2</b>.</nobr></p>"
-                             "<p>Do you wish to register this disk image file and insert it into the virtual CD/DVD drive?</p>")
+                             "<p>Do you wish to register this disk image file and insert it into the virtual optical drive?</p>")
                              .arg(strUrl, strSrc),
                           0 /* auto-confirm id */,
Index: /trunk/src/VBox/Frontends/VirtualBox/src/globals/VBoxGlobal.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/globals/VBoxGlobal.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/globals/VBoxGlobal.cpp	(revision 54285)
@@ -1171,6 +1171,6 @@
                 /* Prepare current storage slot: */
                 StorageSlot attachmentSlot(controller.GetBus(), attachment.GetPort(), attachment.GetDevice());
-                /* Append 'device slot name' with 'device type name' for CD/DVD devices only: */
-                QString strDeviceType = attachment.GetType() == KDeviceType_DVD ? tr("(CD/DVD)") : QString();
+                /* Append 'device slot name' with 'device type name' for optical devices only: */
+                QString strDeviceType = attachment.GetType() == KDeviceType_DVD ? tr("(Optical Drive)") : QString();
                 if (!strDeviceType.isNull())
                     strDeviceType.prepend(' ');
@@ -1779,5 +1779,5 @@
             break;
         case UIMediumType_DVD:
-            pActionOpenExistingMedium->setText(QApplication::translate("UIMachineSettingsStorage", "Choose a virtual CD/DVD disk file..."));
+            pActionOpenExistingMedium->setText(QApplication::translate("UIMachineSettingsStorage", "Choose a virtual optical disk file..."));
             break;
         case UIMediumType_Floppy:
@@ -3486,5 +3486,5 @@
 
 /**
- * Figures out which CD/DVD disk formats are currently supported by VirtualBox.
+ * Figures out which optical disk formats are currently supported by VirtualBox.
  * Returned is a list of pairs with the form
  *   <tt>{"Backend Name", "*.suffix1 .suffix2 ..."}</tt>.
Index: /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIActionPoolRuntime.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIActionPoolRuntime.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIActionPoolRuntime.cpp	(revision 54285)
@@ -1153,5 +1153,5 @@
     void retranslateUi()
     {
-        setName(QApplication::translate("UIActionPool", "&CD/DVD"));
+        setName(QApplication::translate("UIActionPool", "&Optical Drives"));
     }
 };
@@ -1180,5 +1180,5 @@
     void retranslateUi()
     {
-        setName(QApplication::translate("UIActionPool", "&Floppy"));
+        setName(QApplication::translate("UIActionPool", "&Floppy Drives"));
     }
 };
Index: /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIIndicatorsPool.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIIndicatorsPool.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/runtime/UIIndicatorsPool.cpp	(revision 54285)
@@ -190,5 +190,5 @@
         QString strToolTip = QApplication::translate("UIIndicatorsPool",
                                                      "<p style='white-space:pre'><nobr>Indicates the activity "
-                                                     "of the CD/DVD devices:</nobr>%1</p>", "CD/DVD tooltip");
+                                                     "of the optical drives:</nobr>%1</p>", "CD tooltip");
         QString strFullData;
 
@@ -267,5 +267,5 @@
         QString strToolTip = QApplication::translate("UIIndicatorsPool",
                                                      "<p style='white-space:pre'><nobr>Indicates the activity "
-                                                     "of the floppy devices:</nobr>%1</p>", "FD tooltip");
+                                                     "of the floppy drives:</nobr>%1</p>", "FD tooltip");
         QString strFullData;
 
Index: /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/selector/graphics/details/UIGDetailsElements.cpp	(revision 54285)
@@ -530,8 +530,8 @@
                         strAttachmentInfo.replace(strInaccessibleString, strBoldInaccessibleString);
                     } // hack
-                    /* Append 'device slot name' with 'device type name' for CD/DVD devices only: */
+                    /* Append 'device slot name' with 'device type name' for optical devices only: */
                     KDeviceType deviceType = attachment.GetType();
                     QString strDeviceType = deviceType == KDeviceType_DVD ?
-                                QApplication::translate("UIGDetails", "[CD/DVD]", "details (storage)") : QString();
+                                QApplication::translate("UIGDetails", "[Optical Drive]", "details (storage)") : QString();
                     if (!strDeviceType.isNull())
                         strDeviceType.append(' ');
Index: /trunk/src/VBox/Frontends/VirtualBox/src/settings/machine/UIMachineSettingsStorage.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/settings/machine/UIMachineSettingsStorage.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/settings/machine/UIMachineSettingsStorage.cpp	(revision 54285)
@@ -1070,8 +1070,8 @@
                             break;
                         case CDAdderToolTip:
-                            tip = UIMachineSettingsStorage::tr ("<nobr>Add&nbsp;CD/DVD&nbsp;Device</nobr>");
+                            tip = UIMachineSettingsStorage::tr ("<nobr>Add&nbsp;Optical&nbsp;Drive</nobr>");
                             break;
                         case FDAdderToolTip:
-                            tip = UIMachineSettingsStorage::tr ("<nobr>Add&nbsp;Floppy&nbsp;Device</nobr>");
+                            tip = UIMachineSettingsStorage::tr ("<nobr>Add&nbsp;Floppy&nbsp;Drive</nobr>");
                             break;
                         default:
@@ -2419,6 +2419,6 @@
     mAddAttAction->setText (tr ("Add Attachment"));
     mAddHDAttAction->setText (tr ("Add Hard Disk"));
-    mAddCDAttAction->setText (tr ("Add CD/DVD Device"));
-    mAddFDAttAction->setText (tr ("Add Floppy Device"));
+    mAddCDAttAction->setText (tr ("Add Optical Drive"));
+    mAddFDAttAction->setText (tr ("Add Floppy Drive"));
     mDelAttAction->setText (tr ("Remove Attachment"));
 
@@ -2719,10 +2719,10 @@
                         break;
                     case KDeviceType_DVD:
-                        mLbMedium->setText(tr("CD/DVD &Drive:"));
+                        mLbMedium->setText(tr("Optical &Drive:"));
                         mTbOpen->setIcon(iconPool()->icon(CDAttachmentNormal));
-                        mTbOpen->setWhatsThis(tr("Choose a virtual CD/DVD disk or a physical drive to use with the virtual drive. "
+                        mTbOpen->setWhatsThis(tr("Choose a virtual optical disk or a physical drive to use with the virtual drive. "
                                                  "The virtual machine will see a disk inserted into the drive with the data "
                                                  "in the file or on the disk in the physical drive as its contents."));
-                        mTbOpen->setToolTip(tr("Set up the virtual CD/DVD drive"));
+                        mTbOpen->setToolTip(tr("Set up the virtual optical drive"));
                         break;
                     case KDeviceType_Floppy:
@@ -2889,6 +2889,6 @@
             case UIMediumType_DVD:
             {
-                /* Add "Choose a virtual CD/DVD disk file" action: */
-                addChooseExistingMediumAction(pOpenMediumMenu, tr("Choose a virtual CD/DVD disk file..."));
+                /* Add "Choose a virtual optical disk file" action: */
+                addChooseExistingMediumAction(pOpenMediumMenu, tr("Choose a virtual optical disk file..."));
                 /* Add "Choose a physical drive" actions: */
                 addChooseHostDriveActions(pOpenMediumMenu);
Index: /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.cpp
===================================================================
--- /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.cpp	(revision 54284)
+++ /trunk/src/VBox/Frontends/VirtualBox/src/wizards/newvm/UIWizardNewVM.cpp	(revision 54285)
@@ -238,5 +238,5 @@
             }
 
-            /* Attach empty CD/DVD ROM Device */
+            /* Attach empty optical drive: */
             machine.AttachDevice(strDVDName, 1, 0, KDeviceType_DVD, CMedium());
             if (!machine.isOk())